<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) );

	?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />

<!--[if lt IE 7]>
<![if gte IE 5.5]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/DD_belatedPNG.js"></script>
<script type="text/javascript">
DD_belatedPNG.fix('img, input, #menu ul li, .comments-link, a.more-link, #newsletter input, #newsletter #submit, #sidebar-footer #coffee-brands a, #commentform input#submit');
</script>
<![endif]>
<![endif]-->

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery-1.4.2.min.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/cufon-yui.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/fonts/New_Baskn_400.font.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/fonts/New_Baski_italic_400.font.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/fonts/New_Baskb_700.font.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/fonts/New_Basbi_italic_700.font.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/cufon/cufon-replace.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/column-height.js"></script>

<?php
	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>
</head>

<body <?php body_class(); ?>>
	<div id="page">

		<div id="header">
			<div id="logo" role="banner">
				<h1><a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
				<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
					<img src="<?php bloginfo('template_directory'); ?>/images/logo.png" id="project_logo" alt="<?php bloginfo( 'name' ); ?>" />
				</a>
			</div>
			<div id="sociable">
				<a href="http://twitter.com/home?status=TITLE%20-%20PERMALINK" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/twitter.png" alt="twitter" /></a><a href="#" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/flikr.png" alt="flikr" /></a><a href="http://delicious.com/post?url=PERMALINK&amp;title=TITLE&amp;notes=EXCERPT" target="_blank"><img src="<?php bloginfo('template_directory'); ?>/images/delicious.png" alt="delicious" /></a>
			</div>
			<div class="clear"></div>
			<div id="menu" role="navigation">
				<ul>
					<li><a href="<?php echo home_url( '/' ); ?>">main page</a></li>
					<?php
								$what_to_find=array("<a", "</a>");
								$what_to_replace=array("<a", "</a>");
								echo (str_replace($what_to_find, $what_to_replace, wp_list_pages('title_li=&echo=0')));
							?>
				</ul>
			</div>
		</div>

		<div id="content">
