<?php
/**
 * The Sidebar containing the primary and secondary widget areas.
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?>

		<div id="sidebar" class="widget-area" role="complementary">

<?php
	/* When we call the dynamic_sidebar() function, it'll spit out
	 * the widgets for that widget area. If it instead returns false,
	 * then the sidebar simply doesn't exist, so we'll hard-code in
	 * some default sidebar stuff just in case.
	 */
	if ( ! dynamic_sidebar( 'primary-widget-area' ) ) : ?>
			<div id="categories" class="widget-container">
				<h3 class="widget-title"><?php _e('categories', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_list_categories('show_count=0&title_li=0'); ?>
				</ul>
			</div>

			<div id="archive" class="widget-container">
				<h3 class="widget-title"><?php _e( 'archive', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_get_archives( 'type=monthly' ); ?>
				</ul>
			</div>

			<div id="meta" class="widget-container">
				<h3 class="widget-title"><?php _e( 'meta', 'twentyten' ); ?></h3>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<?php wp_meta(); ?>
				</ul>
			</div>

			<div id="links" class="widget-container">
				<?php wp_list_bookmarks(array(
					'title_before' => '<h3 class="widget-title">',
					'title_after' => '</h3>',
					'category_before' => '<div>',
					'category_after' => '</div>',
				)); ?>
			</div>

		<?php endif; // end primary widget area ?>
		</div><!-- #primary .widget-area -->
